<?xml version="1.0" encoding="utf-8" standalone="no"?>
<modDesc descVersion="72">
    <author>kenny456</author>
    <version>1.1.1.0</version>
    <title>
        <en>Firewood Processor And SellPoint</en>
		<de>Brennholzverarbeiter Und Verkaufspunkt</de>
    </title>
    <description>
        <en><![CDATA[With this machine you can cut tree log to specified length and then split them into small pieces as firewood.
Included placeable sell point where you can sell your firewood and get higher profit (2x than default). It accepts standard wood logs too but profit is the same as in other wood sell points.

- Cut length: 35 - 70cm
- Split options: 2, 4 or 6 pieces
- Input tree log size: max 8m (2 - 6m with selfloader), min diameter: 300mm
- Important: the smaller tree log diameter, the smaller number of split should be done (otherwise wood dissapear)
- Loading options:
1. Put tree log directly to feeder with any loader
2. Put tree log to self loader on left side and press load button
3. Using Autoload (Park machine near tree logs pile and press load button)
- You can unload firewood by using belt (adjustable height)
- Current cut length and diameter are displayed in F1 menu
- All controls can be set in your controls settings

Price: 45000 $ / 100 $

Controls:
KEY_o - Load tree log
KEY_z / KEY_lalt KEY_z - Move tree log forward / backward
KEY_b - Cut tree log
KEY_v - Split tree log
KEY_u - Start / stop unloading firewood
AXIS_CRANE_ARM - Set cut length
AXIS_CRANE_ARM2 - Raise / lower unloading belt
AXIS_CRANE_ARM3 - Set spliting diameter

Changelog 1.1.1.0
-Fixed LUA error when selling wood on Silver Run Forest map with Platinum Edition DLC

Changelog 1.1.0.0
-Added placeable sell point for firewood]]></en>
        <de><![CDATA[Mit dieser Maschine kann man Baumstämme auf eine bestimmte Länge zuschneiden und sie dann in kleine Stücke als Brennholz spalten.
Inklusive platzierbarer Verkaufsstelle, an der Sie Ihr Brennholz verkaufen und einen höheren Gewinn erzielen können (2x als Standard). Es akzeptiert auch Standard-Holzscheite, aber der Gewinn ist derselbe wie bei anderen Holzverkaufsstellen.

- Schnittlänge: 35 - 70 cm
- Spalt-Optionen: 2, 4 oder 6 Stück
- Baumstammgröße: max. 8 m (2 - 6 m mit Selbstlader), min. Durchmesser: 300 mm
- Wichtig: je kleiner Stammdurchmesser, desto weniger Spaltungen sollte gemacht werden (sonst verschwindet das Holz)
- Lademöglichkeiten:
1. Baumstämme mit einem beliebigen Lader direkt in den Zubringer legen
2. Lege den Baumstamm in den Selbstlader auf der linken Seite und drücke die Ladetaste
3. Autoload verwenden (Maschine in der Nähe des Baumstammstapels abstellen und Ladetaste drücken)
- Sie können Brennholz mit einem Gurt (höhenverstellbar) entladen
- Aktuelle Schnittlänge und -durchmesser werden im F1-Menü angezeigt
- Alle Steuerelemente können in Ihren Steuerelementeinstellungen festgelegt werden

Preis: 45000 € / 100 €

Steuerung:
KEY_o - Baumstamm laden
KEY_z / KEY_lalt KEY_z - Baumstamm vorwärts/rückwärts bewegen
KEY_b - Baumstamm schneiden
KEY_v - Baumstamm spalten
KEY_u - Starten / Stoppen des Entladens von Brennholz
AXIS_CRANE_ARM - Schnittlänge einstellen
AXIS_CRANE_ARM2 - Entladeband heben / senken
AXIS_CRANE_ARM3 - Spaltdurchmesser einstellen

Changelog 1.1.1.0
-LUA-Fehler beim Verkauf von Holz auf der Silver Run Forest-Karte mit Platinum Edition DLC behoben

Changelog 1.1.0.0
- Platzierbare Verkaufsstelle für Brennholz hinzugefügt]]></de>
        <fr><![CDATA[Avec cette machine, vous pouvez couper des bûches d'arbres à la longueur spécifiée, puis les diviser en petits morceaux comme bois de chauffage.
Inclus un point de vente placable où vous pouvez vendre votre bois de chauffage et obtenir un profit plus élevé (2x par défaut). Il accepte également les bûches de bois standard, mais le profit est le même que dans les autres points de vente de bois.

- Longueur de coupe : 35 - 70cm
- Options fractionnées : 2, 4 ou 6 pièces
- Taille de la bûche d'entrée : max 8 m (2 - 6 m avec autochargeur), diamètre min : 300 mm
- Important : plus le diamètre de la bûche est petit, plus le nombre de fentes doit être petit (sinon le bois disparaît)
- Options de chargement :
1. Placez la bûche directement dans la mangeoire avec n'importe quel chargeur
2. Placez la bûche d'arbre sur le chargeur automatique sur le côté gauche et appuyez sur le bouton de chargement
3. Utilisation du chargement automatique (garez la machine près de la pile de bûches et appuyez sur le bouton de chargement)
- Vous pouvez décharger le bois de chauffage à l'aide de la ceinture (hauteur réglable)
- La longueur et le diamètre de coupe actuels sont affichés dans le menu F1
- Tous les contrôles peuvent être définis dans les paramètres de vos contrôles

Prix​​: 45000 € / 100 €

Contrôles:
KEY_o - Charger le journal de l'arborescence
KEY_z / KEY_lalt KEY_z - Déplacer le journal de l'arborescence vers l'avant / vers l'arrière
KEY_b - Journal d'arbre coupé
KEY_v - Journal de l'arbre divisé
KEY_u - Démarrer / arrêter le déchargement du bois de chauffage
AXIS_CRANE_ARM - Définir la longueur de coupe
AXIS_CRANE_ARM2 - Monter/descendre le tapis de déchargement
AXIS_CRANE_ARM3 - Définir le diamètre de fendage

Changelog 1.1.1.0
-Correction d'une erreur LUA lors de la vente de bois sur la carte Silver Run Forest avec le DLC Platinum Edition

Changelog 1.1.0.0
-Ajout d'un point de vente placable pour le bois de chauffage]]></fr>
    </description>
    <iconFilename>icon_firewoodProcessor.dds</iconFilename>
    <multiplayer supported="true"/>
	<extraSourceFiles>
		<sourceFile filename="scripts/firewoodSellPoint.lua" />
	</extraSourceFiles>
    <storeItems>
        <storeItem xmlFilename="firewoodProcessor.xml"/>
		<storeItem xmlFilename="firewoodSellPoint.xml"/>
    </storeItems>
	<l10n>
		<text name="input_FIREWOODPROCESSOR_CUT_LOG">
			<en>Firewood Processor: Cut tree log</en>
			<de>Brennholzverarbeiter: Baumstamm schneiden</de>
		</text>
		<text name="input_FIREWOODPROCESSOR_LOAD_LOG">
			<en>Firewood Processor: Load tree log</en>
			<de>Brennholzverarbeiter: Baumstamm laden</de>
		</text>
		<text name="input_FIREWOODPROCESSOR_FEED_LOG">
			<en>Firewood Processor: Move tree log forward</en>
			<de>Brennholzverarbeiter: Baumstamm vorwärts verschieben</de>
		</text>
		<text name="input_FIREWOODPROCESSOR_FEED_LOG_BACK">
			<en>Firewood Processor: Move tree log backward</en>
			<de>Brennholzverarbeiter: Baumstamm rückwärts verschieben</de>
		</text>
		<text name="input_FIREWOODPROCESSOR_TOGGLE_SPLIT_COUNT">
			<en>Firewood Processor: Split tree log to</en>
			<de>Brennholzverarbeiter: Baumstamm spalten zu</de>
		</text>
		<text name="input_FIREWOODPROCESSOR_UNLOAD">
			<en>Firewood Processor: Toggle unloading belt</en>
			<de>Brennholzverarbeiter: Entladeband umschalten</de>
		</text>
		<text name="input_FIREWOODPROCESSOR_SPLIT_LOG">
			<en>Firewood Processor: Split tree log</en>
			<de>Brennholzverarbeiter: Baumstamm spalten</de>
		</text>
		<text name="FIREWOODPROCESSOR_TOGGLE_SPLIT_COUNT2">
			<en>Pieces</en>
			<de>Stücke</de>
		</text>
		<text name="FIREWOODPROCESSOR_FIND_LOAD_LOG">
			<en>Firewood Processor: Search and load tree log</en>
			<de>Brennholzverarbeiter: Baumstamm suchen und laden</de>
		</text>
		<text name="FIREWOODPROCESSOR_START_UNLOADING">
			<en>Firewood Processor: Start unloading belt</en>
			<de>Brennholzverarbeiter: Entladeband starten</de>
		</text>
		<text name="FIREWOODPROCESSOR_STOPT_UNLOADING">
			<en>Firewood Processor: Stop unloading belt</en>
			<de>Brennholzverarbeiter: Entladeband stoppen</de>
		</text>
		<text name="FIREWOODPROCESSOR_FOLD">
			<en>Fold Firewood Processor</en>
			<de>Brennholzverarbeiter einklappen</de>
		</text>
		<text name="FIREWOODPROCESSOR_UNFOLD">
			<en>Unfold Firewood Processor</en>
			<de>Brennholzverarbeiter ausklappen</de>
		</text>
		<text name="FIREWOODPROCESSOR_INFO">
			<en>Current cut length:</en>
			<de>Aktuelle Schnittlänge:</de>
		</text>
		<text name="FIREWOODPROCESSOR_INFO2">
			<en>Current diameter:</en>
			<de>Aktueller Durchmesser:</de>
		</text>
		<text name="FIREWOODPROCESSOR_INFO3">
			<en>Spliting diameter set to:</en>
			<de>Spaltdurchmesser eingestellt auf:</de>
		</text>
		<text name="FIREWOODPROCESSOR_WARNING">
			<en>Tree log size must be between 2 and 6 meters (min. diameter 300mm)!</en>
			<de>Die Baumstammgröße muss zwischen 2 und 6 Metern liegen (Mindestdurchmesser 300 mm)!</de>
		</text>
		<text name="function_firewoodProcessor">
			<en>With this machine you can cut tree log to specified length and then split them into small pieces as firewood.</en>
			<de>Mit dieser Maschine kann man Baumstämme auf eine bestimmte Länge zuschneiden und sie dann in kleine Stücke als Brennholz spalten.</de>
		</text>
		<text name="typeDesc_firewoodProcessor">
			<en>FirewoodProcessor</en>
			<de>Brennholzverarbeiter</de>
		</text>
	</l10n>
	<specializations>
        <specialization name="firewoodProcessor" className="FirewoodProcessor" filename="scripts/firewoodProcessor.lua"/>
    </specializations>
    <vehicleTypes>
        <type name="firewoodProcessor" parent="baseAttachable" className="Vehicle" filename="$dataS/scripts/vehicles/Vehicle.lua">
            <specialization name="enterable"/>
            <specialization name="fillUnit"/>
            <specialization name="motorized"/>
            <specialization name="drivable"/>
            <specialization name="firewoodProcessor"/>
        </type>
    </vehicleTypes>
	<actions>
        <action name="FIREWOODPROCESSOR_LOAD_LOG" category="VEHICLE" axisType="HALF" ignoreComboMask="false"/>
        <action name="FIREWOODPROCESSOR_FEED_LOG_BACK" category="VEHICLE" axisType="HALF" ignoreComboMask="false"/>
        <action name="FIREWOODPROCESSOR_FEED_LOG" category="VEHICLE" axisType="HALF" ignoreComboMask="false"/>
        <action name="FIREWOODPROCESSOR_CUT_LOG" category="VEHICLE" axisType="HALF" ignoreComboMask="false"/>
        <action name="FIREWOODPROCESSOR_SPLIT_LOG" category="VEHICLE" axisType="HALF" ignoreComboMask="false"/>
        <action name="FIREWOODPROCESSOR_TOGGLE_SPLIT_COUNT" category="VEHICLE" axisType="HALF" ignoreComboMask="false"/>
        <action name="FIREWOODPROCESSOR_UNLOAD" category="VEHICLE" axisType="HALF" ignoreComboMask="false"/>
    </actions>
	<inputBinding>
        <actionBinding action="FIREWOODPROCESSOR_LOAD_LOG">
            <binding device="KB_MOUSE_DEFAULT" input="KEY_o"/>
        </actionBinding>
        <actionBinding action="FIREWOODPROCESSOR_FEED_LOG_BACK">
            <binding device="KB_MOUSE_DEFAULT" input="KEY_lalt KEY_z"/>
        </actionBinding>
        <actionBinding action="FIREWOODPROCESSOR_FEED_LOG">
            <binding device="KB_MOUSE_DEFAULT" input="KEY_z"/>
        </actionBinding>
        <actionBinding action="FIREWOODPROCESSOR_CUT_LOG">
            <binding device="KB_MOUSE_DEFAULT" input="KEY_b"/>
        </actionBinding>
        <actionBinding action="FIREWOODPROCESSOR_SPLIT_LOG">
            <binding device="KB_MOUSE_DEFAULT" input="KEY_v"/>
        </actionBinding>
        <actionBinding action="FIREWOODPROCESSOR_TOGGLE_SPLIT_COUNT">
            <binding device="KB_MOUSE_DEFAULT" input="KEY_KP_plus"/>
        </actionBinding>
        <actionBinding action="FIREWOODPROCESSOR_UNLOAD">
            <binding device="KB_MOUSE_DEFAULT" input="KEY_u"/>
        </actionBinding>
    </inputBinding>
</modDesc>
